$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-5d50602397f76f03967c78c6d7bd8e72f22c418b/rpcs3-v0.0.12-10911-5d506023_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '9dd0f0cafe2b26da8950c6dac12b0890a86ef68bf0839ee4deb36014c095191e'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
